Berichte
Die API umfasst Berichte, Projekte und Kontodaten. SEO-Tools lassen sich nicht über die API starten.
Verfügbar in Tarifen mit API, sonst antwortet der Server mit 403. Limits: 60 Anfragen pro Minute, 10 pro Minute für das Erstellen und Aktualisieren von Berichten.
API-Endpunkt:
https://itseo.pro/api/v1/reports
Beispielanfrage:
curl --location --request GET 'https://itseo.pro/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_byurl für URL. Standard: url.projectresultgood für Gut, decent für Ordentlich, bad für Schlecht.sort_byid für Erstellungsdatum, generated_at für Generierungsdatum, url für URL, result für Ergebnis. Standard: id.sortdesc für Absteigend, asc für Aufsteigend. Standard: desc.per_page10, 25, 50, 100. Standard: 100.API-Endpunkt:
https://itseo.pro/api/v1/reports/{id}
Beispielanfrage:
curl --location --request GET 'https://itseo.pro/api/v1/reports/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API-Endpunkt:
https://itseo.pro/api/v1/reports
Beispielanfrage:
curl --location --request POST 'https://itseo.pro/api/v1/reports' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
urlprivacy0 für Öffentlich, 1 für Privat, 2 für Passwort. Standard: 1.passwordprivacy auf 2 gesetzt ist.API-Endpunkt:
https://itseo.pro/api/v1/reports/{id}
Beispielanfrage:
curl --location --request PUT 'https://itseo.pro/api/v1/reports/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
privacy0 für Öffentlich, 1 für Privat, 2 für Passwort.passwordprivacy auf 2 gesetzt ist.results0 für Nein, 1 für Ja. Standard: 0.API-Endpunkt:
https://itseo.pro/api/v1/reports/{id}
Beispielanfrage:
curl --location --request DELETE 'https://itseo.pro/api/v1/reports/{id}' \ --header 'Authorization: Bearer {api_key}'